Package Details: shashlik-bin 0.9.3-4

Git Clone URL: https://aur.archlinux.org/shashlik-bin.git (read-only)
Package Base: shashlik-bin
Description: A way to run Android applications on a standard Linux desktop as easily and simply as possible
Upstream URL: http://www.shashlik.io
Licenses: GPL
Conflicts: shashlik
Provides: shashlik
Submitter: ImNtReal
Maintainer: frealgagu
Last Packager: frealgagu
Votes: 62
Popularity: 1.491058
First Submitted: 2016-02-22 18:45
Last Updated: 2018-11-09 00:07

Latest Comments

1 2 3 Next › Last »

frealgagu commented on 2018-08-16 22:27

@pablo1 lib32-libgl has several alternatives and the idea is that you choose what you need:

  • lib32-nvidia-libgl-352
  • lib32-nvidia-libgl-llb
  • lib32-libglvnd-git
  • lib32-amdgpu-pro-libgl
  • lib32-catalyst-libgl
  • lib32-mesa-libgl-noglvnd
  • lib32-nvidia-libgl-beta
  • lib32-nvidia-libgl-full-beta
  • lib32-nvidia-libgl-full-beta-all
  • lib32-libglvnd
  • lib32-nvidia-340xx-utils

However you need to enable the multilib repository because the dependency is a lib32-* package

pablo1 commented on 2018-08-16 20:38

lib32-libgl package does not exist, shashlik fails to install.

frealgagu commented on 2018-04-27 04:12

@strang3quark I've done the change, however shashlik have been always only supported in KDE, to maintain other DE is so difficult and I'm not going to change the official scripts to support others, that are the reasons kdialog continues to be a dependency in the package. Although this package is unmaintained, so I guess it is going to disappear in the future.

frealgagu commented on 2018-04-26 00:26

I'll check it and fix it. Yes, this software has been unmaintained, long time ago since last update

strang3quark commented on 2018-04-25 22:07

the shashlik-install and shashlik-run have the path hardcoded, and it expects to be on /opt/shashlik instead of /opt/shashlik-bin, creating a symlink solves the problem.

Also I did not want to install kdialog, in the shashlik-install just replace the kdialog with gdialog.

Unfortunatelly this software seems very unstable. Good luck.

elppans commented on 2018-01-23 01:20

In my XFCE installation, I removed the "lib32-libgl" and "kdialog" packages from the dependencies and at the end. After creating the link I added the line:

sed -i "s/kdialog/zenity/g" "${pkgdir}/opt/shashlik/bin/shashlik-install"

Veja meu Screen Shot: https://postimg.org/image/moicvcamz/

Ulin commented on 2017-01-14 21:53



That .deb package is for 64-bit systems and building shashlik on a 32-bit x86 host is not supported. Thanks for the correction.
!!+++++++ and (ошибка: не найдена цель: lib32-libgl)

deathtrip commented on 2016-11-29 13:20

would it be possible to make a version without 32-bit dependencies?

ohli commented on 2016-11-03 23:06

@ferrvittorio: You don't need to install kdelib-kdialog, just remove it from the PKGBUILD. Then, replace 'kdialog' with 'zenity' in /opt/shashlik/bin/shashlik-install. Voila.
Hints: https://github.com/shashlik/shashlik-build/issues/3

ferrvittorio commented on 2016-10-05 09:26

Hi since I have GNOME as desktop, would it be sane to install this pkg which asks for some KDE dependencies?